<?php

declare(strict_types=1);

namespace Gls\GlsPoland\PrestaShop\ObjectModel\Repository;

use Doctrine\DBAL\Connection;
use Gls\GlsPoland\PrestaShop\ObjectModel\HydratorInterface;

/**
 * @extends AbstractMultiLangObjectModelRepository<\OrderState>
 */
final class OrderStateRepository extends AbstractMultiLangObjectModelRepository
{
    public function __construct(Connection $connection, string $dbPrefix, HydratorInterface $hydrator = null)
    {
        parent::__construct(\OrderState::class, $connection, $dbPrefix, $hydrator);
    }
}
